Open CASCADE Technology: GeomProjLib Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
GeomProjLib Class Reference

Projection of a curve on a surface. More...

`#include <GeomProjLib.hxx>`

## Static Public Member Functions
static Handle< Geom2d_Curve > | Curve2d (const Handle< Geom_Curve > &C, const Standard_Real First, const Standard_Real Last, const Handle< Geom_Surface > &S, const Standard_Real UFirst, const Standard_Real ULast, const Standard_Real VFirst, const Standard_Real VLast, Standard_Real &Tolerance)
| gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ) The 3dCurve is taken between the parametrization range [First, Last] <Tolerance> is used as input if the projection needs an approximation. In this case, the reached tolerance is set in <Tolerance> as output. WARNING : if the projection has failed, this method returns a null Handle. More...
static Handle< Geom2d_Curve > | Curve2d (const Handle< Geom_Curve > &C, const Standard_Real First, const Standard_Real Last, const Handle< Geom_Surface > &S, Standard_Real &Tolerance)
| gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ) The 3dCurve is taken between the parametrization range [First, Last] <Tolerance> is used as input if the projection needs an approximation. In this case, the reached tolerance is set in <Tolerance> as output. WARNING : if the projection has failed, this method returns a null Handle. More...
static Handle< Geom2d_Curve > | Curve2d (const Handle< Geom_Curve > &C, const Standard_Real First, const Standard_Real Last, const Handle< Geom_Surface > &S)
| gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ) The 3dCurve is taken between the parametrization range [First, Last] If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle. More...
static Handle< Geom2d_Curve > | Curve2d (const Handle< Geom_Curve > &C, const Handle< Geom_Surface > &S)
| gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ). If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle. More...
static Handle< Geom2d_Curve > | Curve2d (const Handle< Geom_Curve > &C, const Handle< Geom_Surface > &S, const Standard_Real UDeb, const Standard_Real UFin, const Standard_Real VDeb, const Standard_Real VFin)
| gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ). If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle. can expand a little the bounds of surface More...
static Handle< Geom2d_Curve > | Curve2d (const Handle< Geom_Curve > &C, const Handle< Geom_Surface > &S, const Standard_Real UDeb, const Standard_Real UFin, const Standard_Real VDeb, const Standard_Real VFin, Standard_Real &Tolerance)
| gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ). If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle. can expand a little the bounds of surface More...
static Handle< Geom_Curve > | Project (const Handle< Geom_Curve > &C, const Handle< Geom_Surface > &S)
| Constructs the 3d-curve from the normal projection of the Curve `on the surface <S>. WARNING : if the projection has failes returns a null Handle.` More...
static Handle< Geom_Curve > | ProjectOnPlane (const Handle< Geom_Curve > &Curve, const Handle< Geom_Plane > &Plane, const gp_Dir &Dir, const Standard_Boolean KeepParametrization)
| Constructs the 3d-curves from the projection of the curve <Curve> on the plane <Plane> along the direction <Dir>. If <KeepParametrization> is true, the parametrization of the Projected Curve <PC> will be the same as the parametrization of the initial curve `. It meens: proj(C(u)) = PC(u) for each u. Otherwize, the parametrization may change.` More...

## Detailed Description

Projection of a curve on a surface.

## Member Function Documentation

static Handle< Geom2d_Curve > GeomProjLib::Curve2d | ( | const Handle< Geom_Curve > & | C,
|  | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | UFirst,
|  | const Standard_Real | ULast,
|  | const Standard_Real | VFirst,
|  | const Standard_Real | VLast,
|  | Standard_Real & | Tolerance
| ) |  |
| static

gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ) The 3dCurve is taken between the parametrization range [First, Last] <Tolerance> is used as input if the projection needs an approximation. In this case, the reached tolerance is set in <Tolerance> as output. WARNING : if the projection has failed, this method returns a null Handle.

static Handle< Geom2d_Curve > GeomProjLib::Curve2d | ( | const Handle< Geom_Curve > & | C,
|  | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Handle< Geom_Surface > & | S,
|  | Standard_Real & | Tolerance
| ) |  |
| static

gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ) The 3dCurve is taken between the parametrization range [First, Last] <Tolerance> is used as input if the projection needs an approximation. In this case, the reached tolerance is set in <Tolerance> as output. WARNING : if the projection has failed, this method returns a null Handle.

static Handle< Geom2d_Curve > GeomProjLib::Curve2d | ( | const Handle< Geom_Curve > & | C,
|  | const Standard_Real | First,
|  | const Standard_Real | Last,
|  | const Handle< Geom_Surface > & | S
| ) |  |
| static

gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ) The 3dCurve is taken between the parametrization range [First, Last] If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle.

static Handle< Geom2d_Curve > GeomProjLib::Curve2d | ( | const Handle< Geom_Curve > & | C,
|  | const Handle< Geom_Surface > & | S
| ) |  |
| static

gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ). If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle.

static Handle< Geom2d_Curve > GeomProjLib::Curve2d | ( | const Handle< Geom_Curve > & | C,
|  | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | UDeb,
|  | const Standard_Real | UFin,
|  | const Standard_Real | VDeb,
|  | const Standard_Real | VFin
| ) |  |
| static

gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ). If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle. can expand a little the bounds of surface

static Handle< Geom2d_Curve > GeomProjLib::Curve2d | ( | const Handle< Geom_Curve > & | C,
|  | const Handle< Geom_Surface > & | S,
|  | const Standard_Real | UDeb,
|  | const Standard_Real | UFin,
|  | const Standard_Real | VDeb,
|  | const Standard_Real | VFin,
|  | Standard_Real & | Tolerance
| ) |  |
| static

gives the 2d-curve of a 3d-curve lying on a surface ( uses GeomProjLib_ProjectedCurve ). If the projection needs an approximation, Precision::PApproximation() is used. WARNING : if the projection has failed, this method returns a null Handle. can expand a little the bounds of surface

static Handle< Geom_Curve > GeomProjLib::Project | ( | const Handle< Geom_Curve > & | C,
|  | const Handle< Geom_Surface > & | S
| ) |  |
| static

Constructs the 3d-curve from the normal projection of the Curve `on the surface <S>. WARNING : if the projection has failes returns a null Handle.`

static Handle< Geom_Curve > GeomProjLib::ProjectOnPlane | ( | const Handle< Geom_Curve > & | Curve,
|  | const Handle< Geom_Plane > & | Plane,
|  | const gp_Dir & | Dir,
|  | const Standard_Boolean | KeepParametrization
| ) |  |
| static

Constructs the 3d-curves from the projection of the curve <Curve> on the plane <Plane> along the direction <Dir>. If <KeepParametrization> is true, the parametrization of the Projected Curve <PC> will be the same as the parametrization of the initial curve `. It meens: proj(C(u)) = PC(u) for each u. Otherwize, the parametrization may change.`

The documentation for this class was generated from the following file:

- GeomProjLib.hxx